Rated 5 out of 5 stars

Needed for Firefox 10.0.2+ ... pleeease! °_° Update anywhere?

This user has a previous review of this add-on.